/*
 * Created on Dec 21, 2009
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 * 
 * Copyright @2009-2011-2010 the original author or authors.
 */
package org.fest.util;

/**
 * Utility methods related to stack traces.
 * 
 * @author Alex Ruiz
 * 
 * @since 1.1.2
 */
public class StackTraces {

  /** Singleton instance. */
  private static final StackTraces INSTANCE = new StackTraces();

  /**
   * Creates a new </code>{@link StackTraces}</code>.
   */
  @VisibleForTesting
  public StackTraces() {}

  /**
   * Returns the singleton instance of this class.
   * @return the singleton instance of this class.
   */
  public static StackTraces instance() {
    return INSTANCE;
  }

  /**
   * Returns the stack trace for the current thread.
   * @return the stack trace for the current thread.
   */
  public StackTraceElement[] stackTraceInCurrentThread() {
    return Thread.currentThread().getStackTrace();
  }
}
